%define gauche_version 0.8.7

Name:           gauche-gl
Version:        0.4.1
Release:        4%{?dist}
Summary:	OpenGL binding for Gauche

Group:          Development/Languages
License:        BSD
URL:            http://www.shiro.dreamhost.com/scheme/gauche
Source:		http://download.sourceforge.net/gauche/Gauche-gl-0.4.1.tgz
Patch0:		Gauche-gl-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	gauche-devel = %{gauche_version}
BuildRequires:	freeglut-devel
BuildRequires:	xorg-x11-devel
BuildRequires:	texinfo
Requires(post):	/sbin/install-info
Requires(preun): /sbin/install-info


%description
OpenGL binding for Gauche.


%prep
%setup -q -n Gauche-gl-%{version}
%patch0 -p1
(cd src; mv gauche-gl.c.orig gauche-gl.c)

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# no japanese info docs
rm -f $RPM_BUILD_ROOT%{_infodir}/gauche-gl-refj.*

# make .so files executable
find $RPM_BUILD_ROOT -name '*.so' -exec chmod 0755 '{}' ';'

# include file not necessary
rm -rf $RPM_BUILD_ROOT%{_libdir}/gauche/%{gauche_version}/include

# correct end-of-line-encoding
sed -i 's/\r//' examples/slbook/ogl2particle/* examples/slbook/ogl2brick/*

# these are not necessary
rm -f examples/glbook/run
rm -f examples/slbook/ogl2particle/run.sh

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/%{name}-refe.info %{_infodir}/dir 2>/dev/null || :


%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}-refe.info %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{_libdir}/gauche
%{_datadir}/gauche
%{_infodir}/gauche-gl-refe.*
%doc COPYING examples


%changelog
* Fri May  5 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.4.1-4
- cleaned up Requires
- removed unnecessary files

* Sun Nov  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.4.1-1
- New Version 0.4.1

* Fri Jul  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.4-1
- New Version 0.4

* Wed Feb 23 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:0.3.1-1
- New Version 0.3.1

* Mon Nov 10 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:0.3-0.fdr.1
- First Fedora release

